> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task Instances

> Query for task instances by task, status, or time range.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| TaskNotFound | 1261 |




## OpenAPI

````yaml /services/playfab/api-references/rest/admin/admin.openapi.json post /Admin/GetTaskInstances
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Admin API
  description: >-
    APIs for managing title configurations, uploaded Game Server code
    executables, and user data
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Authentication
    description: Authentication APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Custom Server Management
    description: Custom Server Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: ScheduledTask
    description: Task management APIs
  - name: Segments
    description: Segment management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
  - name: Xbox Store
    description: Xbox Store APIs
paths:
  /Admin/GetTaskInstances:
    post:
      tags:
        - ScheduledTask
      summary: Get Task Instances
      description: |
        Query for task instances by task, status, or time range.

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | TaskNotFound | 1261 |
      operationId: GetTaskInstances
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetTaskInstancesRequest'
        description: >-
          Only the most recent 100 task instances are returned, ordered by start
          time descending. The results are generic basic information for task
          instances. To get detail information specific to each task type, use
          Get*TaskInstance based on its corresponding task type.
      responses:
        '200':
          $ref: '#/components/responses/GetTaskInstancesResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    GetTaskInstancesRequest:
      description: >-
        Only the most recent 100 task instances are returned, ordered by start
        time descending. The results are generic basic information for task
        instances. To get detail information specific to each task type, use
        Get*TaskInstance based on its corresponding task type.
      type: object
      properties:
        StartedAtRangeFrom:
          description: Optional range-from filter for task instances' StartedAt timestamp.
          type: string
        StartedAtRangeTo:
          description: Optional range-to filter for task instances' StartedAt timestamp.
          type: string
        StatusFilter:
          allOf:
            - $ref: '#/components/schemas/TaskInstanceStatus'
          description: Optional filter for task instances that are of a specific status.
        TaskIdentifier:
          allOf:
            - $ref: '#/components/schemas/NameIdentifier'
          description: >-
            Name or ID of the task whose instances are being queried. If not
            specified, return all task instances that satisfy conditions set by
            other filters.
      example:
        StatusFilter: Failed
        StartedAtRangeFrom: '2016-08-23T11:00:00'
    TaskInstanceStatus:
      type: string
      enum:
        - Succeeded
        - Starting
        - InProgress
        - Failed
        - Aborted
        - Stalled
    NameIdentifier:
      description: >-
        Identifier by either name or ID. Note that a name may change due to
        renaming, or reused after being deleted. ID is immutable and unique.
      type: object
      properties:
        Id:
          description: Id Identifier, if present
          type: string
        Name:
          description: Name Identifier, if present
          type: string
      example:
        Name: MyTask
        Id: d739e188-22f6-4d13-a4d5-df2e93d4d2f7
    GetTaskInstancesResult:
      type: object
      properties:
        Summaries:
          description: >-
            Basic status summaries of the queried task instances. Empty If no
            task instances meets the filter criteria. To get detailed status
            summary, use Get*TaskInstance API according to task type (e.g.
            GetActionsOnPlayersInSegmentTaskInstance).
          type: array
          items:
            $ref: '#/components/schemas/TaskInstanceBasicSummary'
          x-isclass: true
      example:
        Summaries:
          - TaskInstanceId: 12526BFE6B097261
            TaskIdentifier:
              Name: EnableDailyHappyHour
              Id: 6DBF342F05464412
            StartedAt: '2016-08-23T12:33:14'
            CompletedAt: '2016-08-23T12:33:19'
            ScheduledByUserId: 8E615CDCDD836C31
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    TaskInstanceBasicSummary:
      type: object
      properties:
        CompletedAt:
          description: UTC timestamp when the task completed.
          type: string
        ErrorMessage:
          description: Error message for last processing attempt, if an error occured.
          type: string
        EstimatedSecondsRemaining:
          description: Estimated time remaining in seconds.
          type: number
          x-actualtype: double
        PercentComplete:
          description: Progress represented as percentage.
          type: number
          x-actualtype: double
        ScheduledByUserId:
          description: If manually scheduled, ID of user who scheduled the task.
          type: string
        StartedAt:
          description: UTC timestamp when the task started.
          type: string
        Status:
          allOf:
            - $ref: '#/components/schemas/TaskInstanceStatus'
          description: Current status of the task instance.
        TaskIdentifier:
          allOf:
            - $ref: '#/components/schemas/NameIdentifier'
          description: Identifier of the task this instance belongs to.
        TaskInstanceId:
          description: ID of the task instance.
          type: string
        Type:
          allOf:
            - $ref: '#/components/schemas/ScheduledTaskType'
          description: Type of the task.
      required:
        - StartedAt
      example:
        TaskInstanceId: 12526BFE6B097261
        TaskIdentifier:
          Name: EnableDailyHappyHour
          Id: 6DBF342F05464412
        StartedAt: '2016-08-23T12:33:14'
        CompletedAt: '2016-08-23T12:33:19'
        ScheduledByUserId: 8E615CDCDD836C31
    ScheduledTaskType:
      type: string
      enum:
        - CloudScript
        - ActionsOnPlayerSegment
        - CloudScriptAzureFunctions
        - InsightsScheduledScaling
  responses:
    GetTaskInstancesResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetTaskInstancesResult'
            example:
              code: 200
              status: OK
              data:
                Summaries:
                  - TaskInstanceId: 12526BFE6B097261
                    TaskIdentifier:
                      Name: EnableDailyHappyHour
                      Id: 6DBF342F05464412
                    StartedAt: '2016-08-23T12:33:14'
                    CompletedAt: '2016-08-23T12:33:19'
                    ScheduledByUserId: 8E615CDCDD836C31
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Get Task Instances](/services/playfab/api-references/rest/admin/scheduled-task/get-task-instances.md)
- [Get Cloud Script Task Instance](/services/playfab/api-references/rest/admin/scheduled-task/get-cloud-script-task-instance.md)
- [Get Actions On Players In Segment Task Instance](/services/playfab/api-references/rest/admin/scheduled-task/get-actions-on-players-in-segment-task-instance.md)
- [Abort Task Instance](/services/playfab/api-references/rest/admin/scheduled-task/abort-task-instance.md)
- [TaskInstanceStatus](/services/playfab/api-references/events/data-types/taskinstancestatus.md)
